#ifndef QMOVIEDB_H
#define QMOVIEDB_H

#include <QObject>
#include <QNetworkAccessManager>

class QMovieDB : public QObject
{
    Q_OBJECT
public:
    explicit QMovieDB(QString apiKey, QObject *parent = nullptr);

    QNetworkAccessManager *netMan;

    void searchMovieTitle(const QString title);
private:
    QString movieDbApiKey;

private slots:
    void receiveReply(QNetworkReply *reply);

signals:
};

#endif // QMOVIEDB_H
